Skip to main content
POST
/
cms
/
v3
/
hubdb
/
tables
/
{tableIdOrName}
/
rows
/
draft
/
batch
/
replace
Replace rows in batch in draft table
curl --request POST \
  --url https://api.hubapi.com/cms/v3/hubdb/tables/{tableIdOrName}/rows/draft/batch/replace \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "inputs": [
    {
      "childTableId": 123,
      "displayIndex": 123,
      "values": {},
      "id": "<string>",
      "name": "<string>",
      "path": "<string>"
    }
  ]
}
'
{
  "completedAt": "2023-11-07T05:31:56Z",
  "results": [
    {
      "childTableId": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "id": "<string>",
      "name": "<string>",
      "path": "<string>",
      "publishedAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "values": {}
    }
  ],
  "startedAt": "2023-11-07T05:31:56Z",
  "status": "CANCELED",
  "links": {},
  "requestedAt": "2023-11-07T05:31:56Z"
}

Supported products

Requires one of the following products or higher.
Marketing HubMarketing Hub -Professional
Sales HubSales Hub -Free
Service HubService Hub -Free
Content HubContent Hub -Professional
Data HubData Hub -Free

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

tableIdOrName
string
required

Body

application/json
inputs
object[]
required

Response

successful operation

completedAt
string<date-time>
required

The timestamp indicating when the batch processing was completed.

results
object[]
required
startedAt
string<date-time>
required

The timestamp indicating when the batch processing began.

status
enum<string>
required

The current status of the batch operation, with possible values: CANCELED, COMPLETE, PENDING, PROCESSING.

Available options:
CANCELED,
COMPLETE,
PENDING,
PROCESSING

A collection of related links associated with the batch response.

requestedAt
string<date-time>

The timestamp indicating when the batch request was made.

Last modified on February 12, 2026